Wallets, tokens & networks
Get Wallets Report For Finance Admin
Lists current wallets of active non-admin roles with names, salary and allocation stripped.
POSThttps://api.toku.com/tga/get-wallets-report-for-finance-admin
Required scope: banking:read
curl --request POST \
--url 'https://api.toku.com/tga/get-wallets-report-for-finance-admin' \
--header 'Authorization: Bearer <token>'200 response
{
"employeeWallets": [
{
"ID": "string",
"roleInOrgID": "string",
"userID": "string",
"maxStablecoinPercentage": 0,
"employeeBaseSalary": "string",
"walletOwner": "string",
"network": "string",
"networkIcon": "string",
"token": "string",
"tokenIcon": "string",
"walletReference": {
"createdAt": "string",
"roleInOrgID": "string",
"walletID": "string",
"walletReferenceID": "string",
"distributionRatio": "string",
"distributionType": "string",
"isBonusToken": true,
"fixedAmount": "string"
},
"address": "string",
"destinationTag": 0,
"status": "string",
"createdAt": "string",
"connectedViaMesh": true
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
anyanyResponse
200Successful response
employeeWalletsarray | nullShow child attributes
IDstring | nullroleInOrgIDstring | nulluserIDstring | nullmaxStablecoinPercentagenumber | nullemployeeBaseSalarystring | nullwalletOwnerstring | nullnetworkstring | nullnetworkIconstring | nulltokenstring | nulltokenIconstring | nullwalletReferenceobject | nullShow child attributes
createdAtstring | nullroleInOrgIDstring | nullwalletIDstring | nullwalletReferenceIDstring | nulldistributionRatiostring | nulldistributionTypestring | nullisBonusTokenboolean | nullfixedAmountstring | nulladdressstring | nulldestinationTagnumber | nullstatusstring | nullcreatedAtstring | nullconnectedViaMeshboolean | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits